#
# spec file for package perl-Text-Aspell
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Aspell
Version:        0.09
Release:        4.2
%define cpan_name Text-Aspell
Summary:        Perl interface to the GNU Aspell library
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Aspell/
Source0:        http://www.cpan.org/authors/id/H/HA/HANK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  aspell-devel
BuildRequires:  aspell-en
BuildRequires:  gcc
BuildRequires:  glibc-devel
# MANUAL END

%description
This module provides a Perl interface to the GNU Aspell library. This
module is to meet the need of looking up many words, one at a time, in a
single session, such as spell-checking a document in memory.

The GNU C interface is described at:

    http://aspell.net/man-html/Through-the-C-API.html#Through-the-C-API

It's worth looking over the way config and speller (manager) objects are
created when using the Aspell C API as some of that is hidden in the
Text::Aspell module.

For example, with Text::Aspell you do not have to explicitly create a
speller object. The speller (manager) object is created automatically the
first time you call suggest() or check().

Note also that once the speller object is created some (all?) config
options cannot be changed. For example, setting configuration options such
as "lang" are what determine what dictionary Aspell will use. Once the
speller object is created that dictionary will be used. I.e. setting "lang"
after the speller object is created will have no effect.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed Nov  3 2010 pascal.bleser@opensuse.org
- initial package (0.09)
